Name:		git-review
Version:	2.3.1
Release:    2%{?dist}
Summary:	A Git helper for integration with Gerrit

License:	ASL 2.0
URL:		https://opendev.org/opendev/git-review
Source0:	git-review-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-pbr
BuildRequires:	python3-setuptools

Requires:	git-core
Requires:	python3-requests
Requires:	python3-setuptools

%description
An extension for source control system Git that creates and manages
review requests in the patch management system Gerrit. It replaces the
rfc.sh script.

%prep
%setup -q

%build
%py3_build
sed -i 's/\r//' LICENSE

%install
%py3_install
mkdir -p %{buildroot}%{_sysconfdir}/%{name}/


install -p -m 0644 -D git-review.1 %{buildroot}%{_mandir}/man1/git-review.1

%files
%license LICENSE
%doc AUTHORS README.rst
%{_bindir}/git-review
%{_mandir}/man1/git-review.1.gz
%{python3_sitelib}/git_review/
%{python3_sitelib}/git_review-%{version}-py%{python3_version}*.egg-info/

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.3.1-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-1
- initial build
